There is no registration required to read this wiki or download and install Gramps. You only need an account to edit this wiki.

De:Gramps 5.1 Wiki Handbuch - Was ist neu?

From Gramps
Jump to: navigation, search
Zurück Index Nächste


Dieser Abschnitt gibt dir einen Überblick über die Änderungen seit Version 4.2. Diese Änderungen sind auch detailliert weiter hinten hier im Handbuch enthalten. Anwendern die von von früheren Gramps Versionen aktualisieren, wird empfohlen, diesen Abschnitt in älteren Handbüchern durchzusehen, um keine neuen Möglichkeiten zu übersehen, wenn sie beginnen mit Gramps 5.1 zu arbeiten.

Bevor du aktualisierst

Gnome-important.png
Warnung

Das Erstellen eines Archivs zum Sichern deiner Daten vor einer Aktualisierung könnte nicht ausreichend sein. In dem unwahrscheinlichen Fall, dass Gramps 5.1 deine Datenbank beschädigt, kann auch das Archiv verloren gehen. Eine Sicherung wie in diesem Kapitel beschrieben wird empfohlen.

Bevor du aktualisierst, stelle sicher, dass du eine Sicherung deiner Stammbaumdaten besitzt. Die beste Möglichkeit dies zu tun ist folgende:

  1. starte Gramps 3.4 oder Gramps 4.2
  2. öffne deinen Stammbaum
  3. sichere den Stammbaum in das gramps xml Format oder das gramps xml Paket Format (das gramps xml Paket enthält deine Mediendateien). Dies geht über das Menü Stammbäume->Sicherung, stelle sicher, dass du alle Daten sicherst, schränke die Datensicherung in keiner Weise ein.
  4. Schließe den Stammbaum und wiederhole die obigen Schritte mit all deinen Stammbäumen
  5. Bewahre die resultierende(en) Datei(en) an einem sicheren Ort auf

Für mehr Informationen siehe Einen Stammbaum sichern.

Nachdem du deine Daten gesichert hast, installiere Gramps 5.1. Die Verwendung des hierfür für dein Betriebssystem vorgesehenen Prozess stellt in den meisten Fällen sicher, das Gramps 5.1 nicht mit deiner älteren Installation kollidiert. Es ist trotzdem sicherer, Gramps 3.4 vor der Installation von Gramps 5.1 zu deinstallieren oder stelle sicher, dass du Gramps 5.1 in einem anderen Verzeichnis installierst. Dies ist immer notwendig, wenn du aus den Quellcode installierst. Für mehr Informationen zur Installation von Gramps 5.1 schau bitte auf Neueste Gramps Version herunterladen

Nachdem du Gramps 5.1 installiert hast, kannst du direkt deine alten Stammbäume öffnen und mit der Arbeit fortfahren. Im Falle von Problemen (z.B. nach einer kompletten Systemaktualisierung), importiere die Sicherungsdatei, die du weiter oben erstellt hast um deinen Stammbaum wieder herzustellen.

Gnome-important.png
Achtung

Wenn du einmal einen Stammbaum mit einer neueren Version von Gramps geöffnet hast oder ein neueres Betriebssystem verwendest, solltest du generell nicht mehr versuchen diese Datenbank wieder mit einer älteren Version zu öffnen. Wie immer ist das Gramps-XML Format das Format für den Datenaustausch in solchen Fällen. Es gibt Werkzeuge um eine beschädigte Datenbank zu reparieren, die aber nur für erfahrene Anwender sind, also vermeide den Gebrauch durch Befolgen der obigen Schritte vor der Aktualisierung von Gramps oder deines Betriebssystems.

Sichtbare Änderungen am Kern

Sichtbare Änderungen nach der Migration: Interface, Daten.

Datenmodell

Änderungen am Datenmodell (wenn vorhanden).

  1. Keine Änderungen

  • Ein Stammbaum kann nicht in in Gramps 3.4/4.0/4.1 und Gramps 5.1 ohne Aktualisierung bzw. Herabstufung geöffnet werden.
  • Eine .gramps xml erstellt mit Gramps 3.4/4.0/4.1 ist nicht identisch mit einer in Gramps 5.1 erstellten.
  • Gramps 5.1 ist jetzt nur noch Python3

Siehe Database_Formats#Detailed_Changes (englisch) für mehr Details über die interne Datenbank.

GUI

Orte

Berichte, Werkzeuge, Gramplets

Änderungen unter der Haube

Technischer Kram

Abhängigkeiten

  • Nur Python3 Unterstützung. ( Python2 Unterstützung beendet)
  • Benötigt GTK+ 3.10 und pygobject 3.12 oder höhere Versionen

Weitere Informationen

Verschiedenes

Lokalisierung

Fahrplan

Änderungsprotokoll


Zurück Index Nächste
Gnome-important.png Spezielle Copyright Notiz: Alle Änderungen auf dieser Seite müssen unter zwei copyright Lizenzen stehen:

Diese Lizenzen ermöglichen es dem Gramps-Projekt die bestmögliche Verwendung dieses Handbuchs als freien Inhalt in zukünftigen Gramps Versionen. Wenn du mit dieser dual Lizenzierung nicht einverstanden bist, bearbeite diese Seite nicht. Du darfst zu anderen Seiten des Wiki die nur unter die GFDL Lizenz fallen nur über externe Links (verwende die Syntax: [http://www.gramps-project.org/...]), nicht über interne Links verlinken.
Außerdem verwende nur die Bekannten Drucktechnische Konventionen